@media (prefers-color-scheme: light) {
    :root {
        --background: #f0f2f5;
        --background-card: #ffffff;
        --border-color: #dee2e6;
        --font-color: #000000;
        --font-color-leve: #313131;
        --font-color-reverse: #ffffff;
        --cor-hover-tabela: #e0e0e0;
    }
    ::-webkit-scrollbar-track {
        background: var(--background-card);
    }
    ::-webkit-scrollbar-thumb {
        background: #b9b9b9;
    }
}

@media (prefers-color-scheme: dark) {
    :root {
        --background: #18191a;
        --background-card: #242526;
        --border-color: #3a3a3a;
        --font-color: #ffffff;
        --font-color-leve: #d8d8d8;
        --font-color-reverse: #000000;
        --cor-hover-tabela: #424242;
    }

    ::-webkit-scrollbar-track {
        background: var(--background);
    }
    ::-webkit-scrollbar-thumb {
        background: #555555;
    }
}
:root {
    --cor-primaria: #0131ff;
    --cor-primaria-leve: #335aff;
    --border-radius: 1rem;
}
/* scrollbar */
::-webkit-scrollbar {
    width: 0.5rem;
}
/* scrollbar */

body {
    background-color: var(--background);
    color: var(--font-color) !important;
    font-family: "Nunito", sans-serif;
    font-size: 100%;
}

@media (max-width: 1024px) {
    body {
        font-size: 80% !important;
    }
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin-bottom: 0;
    font-family: "Rawline Bold", sans-serif;
    font-weight: bold;
}

@media (max-width: 376px) {
    h1 {
        font-size: 2rem;
    }
}

/* inputs */
label {
    margin-bottom: 0.5rem;
    opacity: 0.9;
    font-weight: 600;
    line-height: 1;
}
input,
select,
textarea {
    border: 0 !important;
    background-color: var(--background-card) !important;
    border-radius: var(--border-radius) !important;
    color: var(--font-color) !important;
}
@media (max-width: 767px) {
    select {
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        background-position: right;
        -webkit-transition: all 0.5s ease-in-out;
        -moz-transition: all 0.5s ease-in-out;
        transition: all 0.5s ease-in-out;
    }
}
input:focus {
    border: 1px solid var(--cor-primaria) !important;
    box-shadow: 0 0 0 0.1rem var(--cor-primaria-leve) !important;
}
select:focus {
    border: 1px solid var(--cor-primaria) !important;
    box-shadow: 0 0 0 0.1rem var(--cor-primaria-leve) !important;
}
textarea:focus {
    border: 1px solid var(--cor-primaria) !important;
    box-shadow: 0 0 0 0.1rem var(--cor-primaria-leve) !important;
}
input:disabled {
    opacity: 0.7;
    filter: brightness(0.9);
}
select:disabled {
    opacity: 0.7;
    filter: brightness(0.9);
    pointer-events: none;
}
textarea:disabled {
    opacity: 0.7;
    filter: brightness(0.9);
}
input:not(.custom-control-input):read-only {
    opacity: 0.7;
    filter: brightness(0.9);
    pointer-events: none;
}
.custom-control-input:checked ~ .custom-control-label::before {
    background-color: var(--cor-primaria) !important;
    border-color: var(--cor-primaria) !important;
}
/* inputs */

/* btns */
button {
    outline: 0 !important;
    box-shadow: none !important;
    border-radius: var(--border-radius) !important;
}
button:disabled {
    pointer-events: none !important;
}
.btn {
    background-color: var(--cor-primaria) !important;
    border-color: var(--cor-primaria) !important;
    color: var(--font-color-reverse);
    transition: background-color, color 400ms;
}
.btn:hover {
    background-color: transparent !important;
    color: var(--cor-primaria);
}
.btn.outline {
    background-color: transparent !important;
    border-color: var(--cor-primaria) !important;
    color: var(--cor-primaria);
}
.btn.icon {
    padding: 0 !important;
    border: 0 !important;
    background-color: transparent !important;
    color: var(--cor-primaria);
}
.btn:not(.icon).danger {
    background-color: #ff0000 !important;
    border-color: #ff0000 !important;
    color: var(--font-color-reverse);
}
.btn.icon.danger {
    color: #ff0000;
}
.btn.outline:hover {
    background-color: var(--cor-primaria) !important;
    color: var(--font-color-reverse);
}
@media (max-width: 767px) {
    .btn span {
        display: none;
    }
}
.page-btns {
    display: flex;
    gap: 1rem;
}
/* btns */

/* links */
a {
    color: var(--font-color);
    transition: color 400ms;
}
a:hover {
    color: var(--cor-primaria);
}
/* links */

/* system_color */
.system_color {
    color: var(--cor-primaria) !important;
}
/* system_color */

/* loading */
.pj-loading {
    height: 100vh;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
}

.spinner-border {
    color: var(--cor-primaria);
}
/* loading */

/* sem-internet */
.pj-sem-internet {
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.pj-sem-internet-dados {
    width: 80%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    text-align: center;
}
.pj-sem-internet-dados img {
    width: 65%;
    margin: 1.5rem auto;
}
.pj-sem-internet-dados h1 {
    font-size: 1.8rem;
    margin: 0;
}
.pj-sem-internet-dados p {
    opacity: 0.8;
    font-size: 0.9rem;
}

/* sem-internet */

main {
    display: flex;
    flex-direction: row;
    width: 100vw;
    height: 100vh;
}

/* menu */
.sidebar {
    position: relative;
    left: 0;
    height: 100vh;
    width: 240px;
    background-color: var(--background-card);
    padding: 0 1rem 1rem 1rem;
    transition: 0.4s;
    overflow: hidden;
}
.sidebar-header-closed {
    display: none;
}
.sidebar.close {
    background-color: var(--cor-primaria);
    width: 60px;
    padding: 0px;
    color: var(--font-color-reverse) !important;
    opacity: 1 !important;

    .sidebar-header {
        display: none;
    }

    .sidebar-header-closed {
        display: flex;
        align-items: center;
        justify-content: center;
        height: 10vh;
        font-size: 1rem;
        font-weight: 200;
    }

    .menu-link .icon {
        color: var(--font-color-reverse) !important;
    }

    .menu-link .icon-img {
        height: 20px;
        width: 20px;
    }

    .menu-link .description {
        display: none;
    }

    .menu-item.has-sub .menu-link:after {
        display: none;
    }
}

.sidebar.close:hover {
    opacity: 0.8 !important;
}
@media (max-width: 767px) {
    .sidebar {
        width: 60px;
        padding: 0;
        font-size: 110%;
        background-color: var(--cor-primaria);
        color: var(--font-color-reverse) !important;

        .sidebar-header {
            display: none;
        }

        .sidebar-header-closed {
            display: flex;
            align-items: center;
            justify-content: center;
            height: 10vh;
            font-size: 0.8rem;
            font-weight: 200;
        }

        .menu-link .icon {
            color: var(--font-color-reverse) !important;
        }

        .menu-link .description {
            display: none;
        }

        .menu-item.has-sub .menu-link:after {
            display: none;
        }
    }

    .sidebar.open {
        width: 240px;
        position: absolute;
        z-index: 1000;
        background-color: var(--background-card);
        color: var(--font-color) !important;

        .sidebar-header {
            display: flex;
        }

        .sidebar-header-closed {
            display: none;
        }

        .menu-link .icon {
            color: var(--cor-primaria) !important;
        }

        .menu-link .description {
            display: flex;
        }

        .menu-item.has-sub .menu-link:after {
            display: flex;
        }
    }

    .content-header .btn-menu-close.sidebar-open {
        margin-left: 250px;
        position: absolute;
        z-index: 1000;
    }
}
@media (max-width: 376px) {
    .content-header .btn-menu-close.sidebar-open {
        margin-left: calc(70vw + 1rem);
    }
}

.sidebar-header {
    width: 100%;
    height: 10vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.5rem 0;
}
.sidebar-header img {
    max-height: 100%;
    max-width: 100%;
    object-fit: contain;
}
.menu {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
    margin-top: 1rem;
}
.menu-item {
    margin-bottom: 0.5rem;
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    font-size: 90%;
}
.menu-link {
    text-decoration: none !important;
    display: flex;
    align-items: center;
    gap: 1rem;
    padding: 1rem;
    width: 100%;
    transition: background-color 400ms;
    border-radius: var(--border-radius);
    font-weight: 600 !important;
}
.menu-item.has-sub .menu-link:after {
    color: #cccccc;
    content: "\f107";
    font-family: "Font Awesome 5 Pro";
    display: block;
    position: absolute;
    right: 1rem;
    top: 1.1rem;
    transition: transform 400ms;
}
.menu-item.has-sub .menu-link.open::after {
    transform: rotate(180deg);
}
.menu-link:hover {
    color: var(--font-color) !important;
    background-color: #4385a80c !important;
}
.menu-link .icon {
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--cor-primaria);
}
.menu-link .icon-img {
    width: 15px;
    height: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.menu-link .icon-img img {
    object-fit: contain;
}
.menu-link .description {
    line-height: 1;
}
.sub-menu {
    list-style: none;
    padding-left: 3.5rem;
    overflow: hidden;
    transition: height 400ms;
}
.sub-menu-item {
    margin-bottom: 1rem;
    font-weight: 600;
}
.sub-menu-item:last-child {
    margin-bottom: 0;
}
.sub-menu-item a {
    text-decoration: none;
    transition: margin-left 400ms;
}
.sub-menu-item a:hover {
    margin-left: 0.3rem;
}
#theme-control ul {
    list-style: none;
    padding: 0 0 0 1.5rem;
    margin: 0;
}
#theme-control label {
    display: flex;
    cursor: pointer;
    font-weight: 500;
    position: relative;
    overflow: hidden;
    margin-bottom: 0.375em;
}
#theme-control label input {
    position: absolute;
    left: -9999px;
}
#theme-control label input {
    position: absolute;
    left: -9999px;
}
#theme-control label input:checked + span {
    background-color: #4385a821;
}
#theme-control label input:checked + span:before {
    box-shadow: inset 0 0 0 0.3rem var(--cor-primaria);
}
#theme-control label span {
    display: flex;
    align-items: center;
    padding: 0.375em 0.75em 0.375em 0.375em;
    border-radius: 99em;
    transition: 0.25s ease;
}
#theme-control label span:hover {
    background-color: #4385a821;
}
#theme-control label span:before {
    display: flex;
    flex-shrink: 0;
    content: "";
    background-color: var(--background-card);
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
    margin-right: 0.375em;
    transition: 0.25s ease;
    box-shadow: inset 0 0 0 0.125em var(--cor-primaria);
}
/* menu */

/* content */
.content {
    height: 100vh;
    overflow-y: auto;
}
.content-header {
    width: 100%;
    height: 8vh;
    display: flex;
    align-items: center;
    /* justify-content: space-between; */
}
.content-header .data-specific-page {
    flex: 1;
    padding: 0 1rem;
}

.content-header .data-specific-page select {
    width: 480px;
}

.content-header .btn-menu-close {
    background-color: transparent !important;
    border: none !important;
    color: var(--cor-primaria) !important;
    font-size: 1.75rem;
    padding: 0;
    transition: all 0.4s;
}
.content-header .user-data {
    position: relative;
    display: flex;
    align-items: center;
    gap: 1.5rem;
}
.content-header .user-data h5 {
    font-weight: 600;
    cursor: pointer;
}
@media (max-width: 767px) {
    .content-header .user-data h5 {
        font-size: 2rem;
        color: var(--cor-primaria);
        line-height: 1;
    }
}
.content-header .user-data .notifications {
    position: relative;
}
.content-header .user-data .notifications i {
    opacity: 0.5;
}
.content-header .user-data .notifications .badge {
    display: none;
    position: absolute;
    left: 60%;
    top: -50%;
}
.content-header .user-data .notifications.has-notification {
    cursor: pointer;
}
.content-header .user-data .notifications.has-notification i {
    opacity: 1;
}
.content-header .user-data .notifications.has-notification .badge {
    display: inline-block;
}
.dropdown-user {
    position: absolute;
    right: 0;
    top: -50vh;
    box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.1);
    transition: top 400ms ease-in-out;
    z-index: 1000;
}
@media (min-width: 768px) {
    .dropdown-user {
        min-width: 250px;
    }
}
.dropdown-user.active {
    top: 2rem;
}
.dropdown-user h6 {
    font-weight: 700;
    font-size: 0.8rem;
    opacity: 0.7;
    max-width: 170px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.dropdown-user button {
    background: transparent;
    border: none;
    display: flex;
    align-items: center;
    gap: 1rem;
    padding: 0.5rem 1rem;
    color: var(--font-color);
    border-radius: var(--border-radius);
    transition: background-color 400ms;
}
.dropdown-user button:hover {
    background-color: #4385a80c !important;
}
.dropdown-user button .icon {
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.btn-logout {
    color: red !important;
}
.cursor-pointer {
    cursor: pointer;
}
/* content */

/* tabela */
.custom-select {
    color: var(--font-color) !important;
    background: var(--background-card)
        url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e")
        right 0.75rem center/8px 10px no-repeat !important;
    border: 0;
    border-radius: 0.5rem;
}
table {
    width: 100%;
    background-color: var(--background-card);
    color: var(--font-color) !important;
    border-radius: var(--border-radius);
}
table tr {
    transition: background-color 400ms ease-in-out;
}
table tr:hover {
    background-color: var(--cor-hover-tabela) !important;
}
table:not(.no-selection) tr:hover {
    cursor: pointer;
    background-color: var(--cor-hover-tabela) !important;
}
table tr th:first-child {
    border-top-left-radius: 0.5rem;
}
table tr th:last-child {
    border-top-right-radius: 0.5rem;
}
table tbody tr.disabled-line {
    opacity: 0.7;
    pointer-events: none;
}
table tr td p {
    margin-bottom: 0;
    overflow: hidden;
    white-space: break-spaces;
}
.table-bordered {
    border: 1px solid var(--border-color);
}
.table thead th {
    border-bottom: 2px solid var(--border-color);
}
.table-bordered td,
.table-bordered th {
    border: 1px solid var(--border-color);
}
.table td,
.table th {
    padding: 0.75rem;
    vertical-align: top;
    border-top: 1px solid var(--border-color);
}
.pagination .paginate_button .page-link {
    color: var(--cor-primaria) !important;
    background-color: var(--background-card) !important;
    border: 0;
    border-radius: 0;
}
.pagination .paginate_button.previous .page-link {
    border-top-left-radius: 0.5rem;
    border-bottom-left-radius: 0.5rem;
}
.pagination .paginate_button.next .page-link {
    border-top-right-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
}
.page-item.active .page-link {
    background-color: var(--cor-primaria) !important;
    border-radius: 0;
    color: #ffffff !important;
}
.dataTables_filter input {
    width: 200px !important;
    height: 35px !important;
}
/* tabela */

/* modal */
.modal-dialog.modal-fullscreen {
    max-width: unset !important;
    max-height: unset !important;
    margin: 0 !important;
}
.modal-dialog.modal-fullscreen .modal-body {
    max-height: calc(100vh - 12%);
}
.modal-header p {
    margin: 0;
    font-weight: 700;
    opacity: 0.5;
    line-height: 1;
    letter-spacing: 0.1rem;
    text-transform: uppercase;
    font-size: 0.7rem;
}
.modal-body {
    background-color: var(--background) !important;
    color: var(--font-color) !important;
}
.modal-loading {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 10;
    -webkit-backdrop-filter: blur(4px);
    backdrop-filter: blur(4px);
    background-color: rgba(255, 255, 255, 0.2);
    cursor: default;
}
.modal-loading p {
    line-height: 1;
}
.check-whatsapp {
    margin-left: auto;
    line-height: 1;
}
.check-whatsapp label {
    font-size: 0.9rem !important;
}
.edit-value-fade {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 100000;
}
.edit-value-fade .edit-value {
    width: 80%;
    max-width: 620px;
    border-radius: var(--border-radius);
    background-color: var(--background-card);
}
.edit-value-fade .edit-value.sm {
    max-width: 320px;
}

.check-quotation-access {
    cursor: pointer;
}

/* modal */

/* cards */
.cards {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    padding: 1rem;
    background-color: var(--background-card);
    border-radius: var(--border-radius);
}
/* cards */

/* navtabs */
.nav-tabs .nav-link {
    border-top-left-radius: var(--border-radius);
    border-top-right-radius: var(--border-radius);
}
.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
    color: var(--font-color);
    background-color: var(--background);
    border-color: var(--border-color) var(--border-color) var(--background);
}
.nav-tabs {
    border-bottom: 1px solid var(--border-color);
}
/* navtabs */

/* modal */
.modal-content {
    border: 0 !important;
    border-radius: var(--border-radius);
    background-color: var(--background-card);
    position: relative;
}
.modal-header {
    border-bottom: 1px solid var(--border-color);
}
.modal-body {
    max-height: 65vh;
    overflow: auto;
}
@media (min-width: 375px) {
    .modal-body {
        max-height: 65vh;
        overflow: auto;
    }
}
@media (min-width: 1367px) {
    .modal-body {
        max-height: 75vh;
        overflow: auto;
    }
}
.modal-footer {
    border-top: 1px solid var(--border-color);
}
.modal-header .close {
    color: var(--font-color);
}
.fade-modal-new-items {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
    background-color: rgba(0, 0, 0, 0.3);
    display: flex;
    align-items: center;
    justify-content: center;
}
.modal-new-items {
    background-color: var(--background-card);
    border-radius: var(--border-radius);
    color: var(--font-color);
    padding: 1rem;
}
.modal-new-items .close {
    color: var(--font-color) !important;
}
.list-items {
    list-style: none;
    padding: 0;
    margin: 0;
}
.list-items .item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    min-width: 200px;
    padding: 1rem;
    background-color: transparent !important;
    transition: background-color 400ms;
    border-radius: var(--border-radius);
    cursor: default;
}
.list-items .item button {
    display: none;
}
.list-items .item:hover {
    background-color: #4385a80c !important;
}
.list-items .item:hover button {
    display: block;
}
/* modal instalacao */
.fade-modal-instalacao {
    display: none;
    background-color: transparent;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    padding: 0 1rem;
    z-index: 2;
    transition: background-color 400ms;
}
.fade-modal-instalacao.mostrar {
    display: flex;
    align-items: flex-end;
    background-color: rgba(0, 0, 0, 0.3);
}
.modal-instalacao {
    font-weight: 400;
    color: var(--font-color);
    border-radius: 1.5rem;
    text-align: left;
    padding: 1rem;
    background-color: var(--background-card);
    position: relative;
    display: flex;
    flex-direction: column;
    bottom: -50vh;
    transition: bottom 400ms;
    width: 100%;
}
.modal-instalacao.mostrar {
    bottom: 20px;
}
.modal-instalacao img {
    width: 75%;
    margin: 1rem auto;
}
.modal-instalacao h1 {
    font-size: 1.6rem;
    margin-bottom: 1rem;
}
/* ios */
.btn-fecha-modal {
    padding: 0;
    margin: 0;
    background: transparent;
    border: 0;
    font-size: 1.5rem;
    line-height: 1;
    color: var(--font-color);
}
.titulo-modal {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.titulo-modal span {
    display: flex;
    align-items: center;
    gap: 1rem;
}
.titulo-modal * {
    margin: 0;
}
.modal-instalacao .titulo-modal img {
    width: 50px;
    margin: 0;
    padding: 0.5rem;
    border-radius: 0.9rem;
    background-color: #ffffff;
    box-shadow: 1px 1px 1.5rem 0px rgba(0, 0, 0, 0.2);
}
.modal-instalacao hr {
    width: 100%;
    border-top: 1px solid var(--border-color);
}
.modal-instalacao p {
    font-size: 0.9rem;
}
.modal-instalacao ul {
    list-style: decimal;
    padding-left: 2rem;
    margin: 0;
}
.modal-instalacao ul li img {
    height: 1.3rem;
    width: unset;
    margin: -7px 0 0 0.3rem;
}
/* ios */

/* modal instalacao */

/* modal */

/*  ---------------------- PROJETO EXECUÇÃO MODAL EDIÇÃO ---------------------- */

.edit-machining-fade,
.new-machining-code-fade,
.edit-machining-code-fade {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 9999;
}
.edit-machining-fade .edit-machining,
.new-machining-code-fade .new-machining-code,
.edit-machining-code-fade .edit-machining-code {
    width: 90%;
    height: auto;
    font-size: 80%;
    border-radius: var(--border-radius);
    background-color: var(--background-card);
}

.edit-machining-fade .edit-machining .modal-body,
.new-machining-code-fade .new-machining-code .modal-body,
.edit-machining-code-fade .edit-machining-code .modal-body {
    min-height: 70vh;
}

.modal-machining-canvas {
    min-height: 50% !important;
    height: 50% !important;
}

.tab-content-modal-edit-project-execution {
    height: 90% !important;
}

.block-left,
.block-right {
    width: 45px;
}

.block-top,
.block-bottom {
    height: 45px;
}

.modal-machining-list {
    max-height: 85% !important;
    height: 85% !important;
    overflow-y: auto !important;
}

.btn-add-machining-option {
    font-size: 20px;
    cursor: pointer;
    transition: transform 0.3s;
}

.btn-add-machining-option:hover {
    transform: scale(1.1);
}

.line-x-canvas {
    width: 25%;
    height: 1px;
    background-color: red;
    margin-bottom: 2px;
}

.span-line-x-canvas {
    color: red;
}

.line-y-canvas {
    width: 1px;
    height: 25%;
    background-color: blue;
}

.span-line-y-canvas {
    color: blue;
}

.pe-none {
    pointer-events: none;
}

.floating-window {
    position: absolute;
    background-color: var(--background-card);
    border: 1px solid var(--border-color);
    padding: 0.5rem;
    display: none;
    z-index: 1000;
    border-radius: var(--border-radius);
}

.btn-floating-window {
    width: 50px;
    height: 30px;
    background-color: var(--cor-primaria);
    border-radius: var(--border-radius);
    font-size: 90%;
}

.span-line-y-canvas {
    position: absolute;
    margin-right: 4.5rem;
}

.btn-floating-window {
    font-size: 80%;
}

.div-line-y-canvas {
    margin-bottom: -4px !important;
}

.span-line-y-canvas {
    transform: rotate(270deg);
    margin-right: 2.5rem !important;
}

#table-machining {
    font-size: small;
}

#table-machining tbody tr td {
    padding: 4px 8px !important;
    font-size: 90% !important;
}

.footer-modal-edit-project-execution {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 1rem;
}

.modal-edit-project-execution {
    overflow: hidden !important;
}

.div-btn-absolute-close-machining-form {
    position: absolute;
    top: -19px;
    right: -18px;
}

/*  ---------------------- PROJETO EXECUÇÃO MODAL EDIÇÃO ---------------------- */

/*  ---------------------- OTIMIZAÇÃO ---------------------- */

.screen-loading {
    z-index: 10000;
    position: fixed;
    width: 100vw;
    height: 50vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.canvasOtimization {
    border: 1px solid #000;
    margin-top: 10px;
    margin-bottom: 10px;
    zoom: 0.3;
}

/* .navigation-otimization div {
    width: 33%;
} */

.select-materials-otimization {
    width: 300px;
}

.div-arrows-navigation-otimization i,
.i-button-settings-otimization i {
    cursor: pointer;
    font-size: 30px;
    color: var(--cor-primaria);
    transition: transform 0.5s;
}

.div-arrows-navigation-otimization i {
    font-size: 40px;
}

.div-arrows-navigation-otimization i:hover,
.i-button-settings-otimization i:hover {
    transform: scale(1.1);
}

.div-items-setting {
    position: absolute;
    box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.1);
    margin-top: 19rem;
    margin-left: 19rem;
    padding: 1rem;
    background-color: white;
    width: auto !important;
    border-radius: var(--border-radius);
}

.item-setting {
    min-width: 200px !important;
    padding: 0.5rem 1rem;
    color: var(--font-color);
    border-radius: var(--border-radius);
    transition: background-color 400ms;
    cursor: pointer;
}

.item-setting:hover {
    background-color: #4385a80c !important;
}

.div-layer-status,
.div-layer-technology {
    transition: transform 0.5s;
}

.div-layer-status:hover,
.div-layer-technology:hover {
    transform: scale(1.2);
}

.create-layer-fade,
.create-technology-fade,
.edit-layer-fade,
.edit-technology-fade {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.3);
}

.create-layer-fade .create-layer,
.create-technology-fade .create-technology,
.edit-layer-fade .edit-layer,
.edit-technology-fade .edit-technology {
    width: 80%;
    max-width: 620px;
    border-radius: var(--border-radius);
    background-color: var(--background-card);
}

.circle-notification-settings-otimization {
    position: absolute;
    top: -40%;
    right: -50%;
    background-color: red;
    color: white;
    border-radius: 999px;
    font-size: 0.75rem;
    text-align: center;
    padding: 0.25rem;
}

/*  ---------------------- OTIMIZAÇÃO ---------------------- */

/*  ---------------------- ORÇAMENTOS ---------------------- */

.btn-action-item-module {
    background: transparent !important;
    border: none !important;
    padding: 0 !important;
}

.btn-action-item-module i {
    font-size: 95% !important;
    font-weight: bold;
}

.btn-edit-item-module {
    color: var(--cor-primaria) !important;
}

.btn-delete-item-module {
    color: red !important;
}

.card-item-module .card-value {
    font-size: 1rem !important;
    font-weight: 300 !important;
}

.card-value.font-weight-bold {
    font-weight: 600 !important;
}

/*  ---------------------- ORÇAMENTOS ---------------------- */

@media (max-width: 768px) {
    #canvas-machining,
    .block-top,
    .block-bottom,
    .block-left,
    .block-right {
        zoom: 0.2 !important;
    }

    .div-select-canvas-side {
        margin-bottom: 1rem !important;
    }
}

@media (max-width: 1200px) {
    .modal-machining-canvas {
        margin-bottom: 2rem;
    }

    .modal-machining-form {
        margin-bottom: 2rem;
    }

    .dataTables_filter input {
        width: 200px !important;
    }

    .modal-edit-project-execution {
        overflow: auto !important;
    }

    .row-main-machining {
        height: auto !important;
    }

    .div-master {
        height: auto !important;
    }

    .footer-modal-edit-project-execution {
        position: static !important;
        padding: 0 !important;
        margin-top: 1rem !important;
    }
}

@media (min-width: 1024px) {
    .modal-90 {
        width: calc(100vw - 3.5rem) !important;
        max-width: calc(100vw - 3.5rem) !important;
    }

    .modal-90 .modal-content {
        height: calc(100vh - 3.5rem) !important;
    }

    .modal-90 .modal-body {
        max-height: 100% !important;
        border-bottom-left-radius: calc(0.3rem - 1px);
        border-bottom-right-radius: calc(0.3rem - 1px);
    }
}
